[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#349493: binNMU version detection

Package: developers-reference
Version: 3.3.6
Tags: patch

Hi folks,

Please consider the attached patch to update the developer's reference
description of recompile-only binNMU versioning so that it matches the
current behavior of dak and sbuild.

Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
diff -Nru /tmp/BG1jKelzmI/developers-reference-3.3.6/debian/changelog /tmp/SsOVUHjyJs/developers-reference-3.3.6/debian/changelog
--- /tmp/BG1jKelzmI/developers-reference-3.3.6/debian/changelog	2005-02-05 02:10:02.000000000 -0800
+++ /tmp/SsOVUHjyJs/developers-reference-3.3.6/debian/changelog	2006-01-23 03:52:33.000000000 -0800
@@ -1,3 +1,11 @@
+developers-reference (3.3.6-0.1) unstable; urgency=low
+  * Non-maintainer upload.
+  * Update documentation for binNMUs to use the versioning scheme currently
+    supported by dak.
+ -- Steve Langasek <vorlon@debian.org>  Sat, 21 Jan 2006 22:53:56 -0800
 developers-reference (3.3.6) unstable; urgency=low
   * Andreas Barth
diff -Nru /tmp/BG1jKelzmI/developers-reference-3.3.6/developers-reference.sgml /tmp/SsOVUHjyJs/developers-reference-3.3.6/developers-reference.sgml
--- /tmp/BG1jKelzmI/developers-reference-3.3.6/developers-reference.sgml	2005-03-25 07:22:35.000000000 -0800
+++ /tmp/SsOVUHjyJs/developers-reference-3.3.6/developers-reference.sgml	2006-01-23 03:57:49.000000000 -0800
@@ -2761,12 +2761,21 @@
 get this wrong, the archive maintainers will reject your upload (due
 to lack of corresponding source code).
-The ``magic'' for a recompilation-only NMU is triggered by using the
-third-level number on the Debian part of the version.  For instance,
-if the latest version you are recompiling against was version
-``2.9-3'', your NMU should carry a version of ``2.9-3.0.1''.  If the
-latest version was ``3.4-2.1'', your NMU should have a version number
-of ``3.4-2.1.1''.
+The ``magic'' for a recompilation-only NMU is triggered by using a
+suffix appended to the package version number, following the form
++b&lt;number&gt;.  For instance, if the latest version you are
+recompiling against was version ``2.9-3'', your NMU should carry a
+version of ``2.9-3+b1''.  If the latest version was ``3.4+b1'' (i.e, a
+native package with a previous recompilation NMU), your NMU should have
+a version number of ``3.4+b2''.
+In the past, such NMUs used the third-level number on the Debian part of 
+the revision to denote their recompilation-only status; however, this
+syntax was ambiguous with native packages and did not allow proper
+ordering of recompile-only NMUs, source NMUs, and security NMUs on the
+same package, and has therefore been abandoned in favor of this new
 Similar to initial porter uploads, the correct way of invoking
 <prgn>dpkg-buildpackage</prgn> is <tt>dpkg-buildpackage -B</tt> to only

Attachment: signature.asc
Description: Digital signature

Reply to: